classification
Title: Backport docstring improvements to the C version of OrderedDict
Type: enhancement Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, Sourav Singh, cryvate, eric.snow, rhettinger, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2017-09-04 23:06 by rhettinger, last changed 2017-09-11 01:12 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3470 merged python-dev, 2017-09-09 13:41
PR 3471 closed python-dev, 2017-09-09 14:01
Messages (6)
msg301280 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-09-04 23:06
The help() for collections.OrderedDict.popitem is not showing the default value of last=True.

----------- Prior versions are unhelpful ------------------
~/npython $ python3.6
Python 3.6.2 (v3.6.2:5fd33b5926, Jul 16 2017, 20:11:06)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> from collections import OrderedDict
>>> help(OrderedDict.popitem)
Help on method_descriptor:

popitem(...)
    od.popitem() -> (k, v), return and remove a (key, value) pair.
    Pairs are returned in LIFO order if last is true or FIFO order if false.


----------- Current version is helpful --------------------
$ ./python.exe
Python 3.7.0a0 (heads/master-dirty:b2d096bd2a, Sep  4 2017, 14:50:05)
[GCC 4.2.1 Compatible Apple LLVM 8.1.0 (clang-802.0.42)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> from collections import OrderedDict
>>> help(OrderedDict.popitem)
Help on method_descriptor:

popitem(self, /, last=True)
    Remove and return a (key, value) pair from the dictionary.

    Pairs are returned in LIFO order if last is true or FIFO order if false.
msg301583 - (view) Author: Sourav Singh (Sourav Singh) Date: 2017-09-07 12:53
I am interested in working on the issue. Where do I need to make the fix?
msg301773 - (view) Author: Henk-Jaap Wagenaar (cryvate) * Date: 2017-09-09 14:04
I submitted a pull request for both 3.5 and 3.6 finding 2 locations using search and find. I also replayed Raymond's example (with _collections as well) and got the documentation as expected on my custom builds of 3.5/3.6.

I submitted my CLA on 26th August but it has not been processed for some reason?
msg301774 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-09 15:09
Thanks Henk-Jaap,
3.5 branch is now on security fix only, so only the backport to 3.6 will be accepted.

It seems like you have two bug tracker accounts? Did you register with two different email address?
It appears that the CLA is received for one of your account, but that's not the account you are using now.
msg301806 - (view) Author: Henk-Jaap Wagenaar (cryvate) * Date: 2017-09-10 10:13
Hi Mariatta,

Thanks for pointing that out about 3.5. Is that also why the build failed!? I found it hard to parse travis' output and was surprised it failed.

Thanks for letting me know---getting it fixed. I have added my github account to the other one, so that should fix it for this PR?
msg301845 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-11 01:12
Thanks Henk-Jaap for the PR. It's been merged.
History
Date User Action Args
2017-09-11 01:12:22Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg301845

stage: patch review -> resolved
2017-09-10 10:13:06cryvatesetmessages: + msg301806
2017-09-09 15:09:23Mariattasetnosy: + Mariatta

messages: + msg301774
versions: - Python 3.5
2017-09-09 14:04:12cryvatesetnosy: + cryvate
messages: + msg301773
2017-09-09 14:01:30python-devsetpull_requests: + pull_request3464
2017-09-09 13:41:20python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3463
2017-09-07 12:53:05Sourav Singhsetnosy: + Sourav Singh
messages: + msg301583
2017-09-05 11:08:04serhiy.storchakasetkeywords: + easy
stage: needs patch
2017-09-04 23:06:40rhettingercreate